RTEMS: tsec_registers Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
tsec_registers Struct Reference

## Data Fields
uint8_t | reserved0x2_4000 [0x24010-0x24000]
uint32_t | ievent
uint32_t | imask
uint32_t | edis
uint8_t | reserved0x2_401c [0x24020-0x2401c]
uint32_t | ecntrl
uint32_t | minflr
uint32_t | ptv
uint32_t | dmactrl
uint32_t | tbipa
uint8_t | reserved0x2_4034 [0x2408c-0x24034]
uint32_t | fifo_tx_thr
uint8_t | reserved0x2_4090 [0x24094-0x24090]
uint32_t | fifo_tx_sp
uint32_t | fifo_tx_starve
uint32_t | fifo_tx_starve_shutoff
uint8_t | reserved0x2_40A0 [0x24100-0x240A0]
uint32_t | tctrl
uint32_t | tstat
uint8_t | reserved0x2_4108 [0x24110-0x24108]
uint32_t | txic
uint8_t | reserved0x2_4114 [0x24124-0x24114]
uint32_t | ctbptr
uint8_t | reserved0x2_4128 [0x24184-0x24128]
uint32_t | tbptr
uint8_t | reserved0x2_4188 [0x24204-0x24188]
uint32_t | tbase
uint8_t | reserved0x2_4208 [0x242B0-0x24208]
uint32_t | ostbd
uint32_t | ostbdp
uint8_t | reserved0x2_42B8 [0x24300-0x242B8]
uint32_t | rctrl
uint32_t | rstat
uint8_t | reserved0x2_4308 [0x2430C-0x24308]
uint32_t | rbdlen
uint32_t | rxic
uint8_t | reserved0x2_4314 [0x24324-0x24314]
uint32_t | crbptr
uint8_t | reserved0x2_4328 [0x24340-0x24328]
uint32_t | mrblr
uint8_t | reserved0x2_4344 [0x24384-0x24344]
uint32_t | rbptr
uint8_t | reserved0x2_4388 [0x24404-0x24388]
uint32_t | rbase
uint8_t | reserved0x2_4408 [0x24500-0x24408]
uint32_t | maccfg1
uint32_t | maccfg2
uint32_t | ipgifg
uint32_t | hafdup
uint32_t | maxfrm
uint8_t | reserved0x2_4514 [0x24520-0x24514]
uint32_t | miimcfg
uint32_t | miimcom
uint32_t | miimadd
uint32_t | miimcon
uint32_t | miimstat
uint32_t | miimind
uint8_t | reserved0x2_4538 [0x2453c-0x24538]
uint32_t | ifstat
uint32_t | macstnaddr [2]
uint8_t | reserved0x2_4548 [0x24680-0x24548]
uint32_t | rmon_mib [TSEC_RMON_CNT]
uint32_t | car [2]
uint32_t | cam [2]
uint8_t | reserved0x2_4740 [0x24800-0x24740]
uint32_t | iaddr [8]
uint8_t | reserved0x2_4820 [0x24880-0x24820]
uint32_t | gaddr [8]
uint8_t | reserved0x2_48A0 [0x24B00-0x248A0]
uint8_t | reserved0x2_4B00 [0x24BF8-0x24B00]
uint32_t | attr
uint32_t | attreli
uint8_t | reserved0x2_4C00 [0x25000-0x24C00]

The documentation for this struct was generated from the following file:

- bsps/powerpc/include/bsp/tsec.h